Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IEnclosingMethodAttribute

All Superinterfaces:
  IClassFileAttribute

public interface IEnclosingMethodAttribute
extends IClassFileAttribute

Description of an enclosing method attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

Method Summary
`char[]` | `getEnclosingClass()` Answer back the enclosing class name as specified in the JVM specifications.
`int` | `getEnclosingClassIndex()` Answer back the enclosing class name index.
`char[]` | `getMethodDescriptor()` Answer back the method descriptor of the enclosing method as specified in the JVM specifications.
`int` | `getMethodDescriptorIndex()` Answer back the descriptor index of the enclosing method.
`char[]` | `getMethodName()` Answer back the name of the enclosing method as specified in the JVM specifications.
`int` | `getMethodNameAndTypeIndex()` Answer back the name and type index of this attribute.
`int` | `getMethodNameIndex()` Answer back the name index of the enclosing method.

Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute
`getAttributeLength, getAttributeName, getAttributeNameIndex`

Method Detail

### getEnclosingClass

    public char[] getEnclosingClass()

  Answer back the enclosing class name as specified in the JVM specifications.

  Returns:
    the enclosing class name as specified in the JVM specifications

### getEnclosingClassIndex

    public int getEnclosingClassIndex()

  Answer back the enclosing class name index.

  Returns:
    the enclosing class name index

### getMethodDescriptor

    public char[] getMethodDescriptor()

  Answer back the method descriptor of the enclosing method as specified in the JVM specifications.

  Returns:
    the method descriptor of the enclosing method as specified in the JVM specifications

### getMethodDescriptorIndex

    public int getMethodDescriptorIndex()

  Answer back the descriptor index of the enclosing method.

  Returns:
    the descriptor index of the enclosing method

### getMethodName

    public char[] getMethodName()

  Answer back the name of the enclosing method as specified in the JVM specifications.

  Returns:
    the name of the enclosing method as specified in the JVM specifications

### getMethodNameIndex

    public int getMethodNameIndex()

  Answer back the name index of the enclosing method.

  Returns:
    the name index of the enclosing method

### getMethodNameAndTypeIndex

    public int getMethodNameAndTypeIndex()

  Answer back the name and type index of this attribute.

  Returns:
    the name and type index of this attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.